# Class: ProjectCategoryClient

## ProjectCategoryClient

## Constructor

#### new ProjectCategoryClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/projectCategory'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/projectCategory.js, line 5

### Methods

#### getAllProjectCategories(opts, callback)

Returns a list of all projectCategories visible to the user

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the statusCategories have been retrieved.

Source:
  - api/projectCategory.js, line 14

#### getProjectCategory(opts, callback)

Get a full representation of the projectCategory that has the given id.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`projectCategoryId` |  | A String containing a projectCategory id

`callback` |  | Called when the projectCategory has been retrieved.

Source:
  - api/projectCategory.js, line 33